
Redmine - Defect #1249

在生成PDF文件时，中文出现乱码

2008-05-17 08:44 - zongshui Xiao

Status: Closed Start date: 2008-05-17

Priority: Normal Due date:  

Assignee: Chaoqun Zou % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

UTF-8是每个中文字是3个字节，而在\redmine\vendor\plugins\rfpdf\lib\rfpdf\chinese.rb文件中的第232行：i+=ascii ? 1 : 2，应该是i+=ascii ? 1 : 3

这样经过测试，问题解决。

Related issues:

Is duplicate of Redmine - Defect #13781: CJK(Chinese/Japanese/Korean) charact... Closed

History

#1 - 2008-05-17 12:06 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee deleted (Nicolas Chuche)

- Target version deleted (0.7.2)

- Resolution set to Invalid

Please, speak in english here.

#2 - 2010-03-18 05:29 - qing qu

- Status changed from Closed to Reopened

- Assignee set to Chaoqun Zou

1. 文件默认就是1：3，还是乱码

#3 - 2010-03-24 16:06 - arone zhang

0.9.3里面redmine将语言和字符集混淆了，

只要将个人默认语言设置为“简体中文”就可以正常导出了

所以它的逻辑是有问题的，语言是用来控制界面多语言的，而pdf中内容导出不应该是和这个有关系。

#4 - 2010-04-06 06:29 - Azamat Hackimov

- Status changed from Reopened to Closed

Please, speak english, or we cannot help you.

#5 - 2012-08-21 09:53 - Junyu Jiang

- File language_selection.png added

- Status changed from Closed to Reopened

Hi, I have same problem now, and I found this issue while searching.

The problem is, while export issue to pdf, the Chinese character will be a block.

This problem will be fixed if I changed my default language selection.

While my account language is English, it is wrong, and if my language is Chinese, then the export PDF is OK.

IMO, export PDF should not relating to my language selection.
Refer to 

#6 - 2012-08-21 13:44 - Toshi MARUYAMA

- Status changed from Reopened to Closed

- Resolution changed from Invalid to Wont fix

PDF implantation has changed on Redmine 1.2.

On non CJK locale, Redmine uses embedded fonts.

On CJK locale, Redmine uses non-embedded fonts.

Unicode has unified problem.

http://www.redmine.org/issues/61#note-95

And there is no free font of high quality CJK.

#7 - 2012-08-21 13:44 - Toshi MARUYAMA

- Category changed from Translations to PDF export

#8 - 2012-08-21 14:27 - Junyu Jiang

mmm, my question is not export Chinese problem. Please refer to the png file I attached. While I am in Chinese language, there is no problem to

export pdf file. But if I was in English language mode, there IS problem.

I think user interface should not be related to pdf export result.

#9 - 2012-08-21 15:19 - Toshi MARUYAMA

Junyu Jiang wrote:

mmm, my question is not export Chinese problem. Please refer to the png file I attached. While I am in Chinese language, there is no problem to

export pdf file. But if I was in English language mode, there IS problem.

 This is design.

As I described note-6, on English locale, Redmine uses embedded font.

This font does not have Chinese characters.

I think user interface should not be related to pdf export result.

 As I described note-6, Unicode has unified problem.

So, Redmine uses non-embedded fonts on CJK locales.

#10 - 2013-11-14 09:28 - Maxime Vez

- File rd-274.pdf added

+1

I have the exact same problem. When user language is set to English, and exporting to PDF, the Chinese characters will be displayed as square

blocks in the PDF. When user language set as Chinese, then no problem.

Is there a workaround? thanks
#11 - 2013-11-14 21:54 - Jan Niggemann (redmine.org team member)

You posted to a thread that was first closed 5 years ago...

#12 - 2013-11-17 12:15 - Toshi MARUYAMA

- Resolution changed from Wont fix to Duplicate

#13 - 2013-11-17 12:15 - Toshi MARUYAMA

- Is duplicate of Defect #13781: CJK(Chinese/Japanese/Korean) characters are not shown in PDF on non CJK locales added

#14 - 2013-11-17 12:16 - Toshi MARUYAMA

Maxime Vez wrote:

+1

I have the exact same problem. When user language is set to English, and exporting to PDF, the Chinese characters will be displayed as square

blocks in the PDF. When user language set as Chinese, then no problem.

Is there a workaround? thanks

 See #13781.

Files

language_selection.png 18.1 KB 2012-08-21 Junyu Jiang

rd-274.pdf 309 KB 2013-11-14 Maxime Vez
